Bug 503882 - SSM ISEs on ChildSubscriptions page when performing unsubscribe-only action
SSM ISEs on ChildSubscriptions page when performing unsubscribe-only action
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Channels (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
US=89801
:
Depends On:
Blocks: rhn-sprint25
  Show dependency treegraph
 
Reported: 2009-06-03 03:22 EDT by Sebastian Skracic
Modified: 2009-08-10 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 09:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Skracic 2009-06-03 03:22:22 EDT
Description of problem:

RHN spits ISE (Internal Server Error) when trying to unsubscribe systems in SSM from all child channels they're subscribed to.

How reproducible:

Always.

Steps to Reproduce:
1. Create a system set with any number of system (even a single system will do).
2. Go to https://rhn.redhat.com/rhn/channel/ssm/ChildSubscriptions.do
3. Uncheck *all* checkboxes.
4. Click on "Alter Subscriptions" button.
  
Actual results:

Internal Server Error.

Expected results:

Systems in SSM should be unsubscribed from all child channels, leaving only
base-channel subscription intact.
Additional info:
Comment 1 Sebastian Skracic 2009-06-03 03:36:57 EDT
Fixed in 068ea33da50816c4894ca19e975301fc27b18b21.
Comment 2 Sebastian Skracic 2009-06-03 04:01:20 EDT
Landed on dev successfully.
Comment 3 Denise Hughes 2009-06-04 13:40:15 EDT
Verified in webdev.
Comment 4 Denise Hughes 2009-07-29 10:34:56 EDT
Verified in webqa.

Note You need to log in before you can comment on or make changes to this bug.